#!/bin/bash
current_version=v`/opt/navidrome/navidrome -v | cut -d ' ' -f 1`
latest_version=`curl -s https://api.github.com/repos/navidrome/navidrome/releases/latest | grep 'tag_name' | cut -d '"' -f 4`
if [ "$current_version" != "$latest_version" ]; then
	systemctl stop navidrome.service
	wget -qO- https://getbin.io/navidrome/navidrome | tar xvz -C /opt/navidrome/
	# user permissions or whatever
	systemctl start navidrome.service
else
	echo "Up-to-date"
fi